=== debian/changelog ===
hydrogen (1.2.6+dfsg-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 1.2.6+dfsg (Closes: #1094294)
  * Drop the doc package for now, because it is depecrecated
    See https://github.com/hydrogen-music/documentation/blob/main/README.md
    Upstream documentation will be used instead
  * Provide manpages for h2cli and h2player and update the hydrogen manpage
  * d/copyright: Update GPL-2+ and GPL-3+ license text
  * Fix wrong date format in manual page
  * Bump Standards-Version to 4.7.2, no changes
  * Remove redundant rules-requires-root field
  * Refresh patchset with gbp pq rebase
  * Change my email address

  [ Nicholas D Steeves ]
  * Acknowledge friendly NMU.
  * Drop 0001-CMake-bump-minimum-required-version-to-3.5.patch, which is
    already part of this upstream release.
  * Drop myself from Uploaders.

 -- Dennis Braun <snd@debian.org>  Tue, 25 Nov 2025 17:37:03 +0100

hydrogen (1.2.2+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1112997)

 -- Adrian Bunk <bunk@debian.org>  Fri, 21 Nov 2025 14:25:55 +0200

hydrogen (1.2.2+dfsg-2) unstable; urgency=medium

  * Remove redundant and incomplete copy of "old_tutorial" because upstream
    now ships the canonical tutorial in its entirety in
    /usr/share/hydrogen/data/doc/tutorial_??.html.
  * Decruft docbase registration of "old_tutorial" and add the new
    upstream-defined tutorial location (this should have been done for
    1.2.2+dfsg-1).
  * Clean up spare /usr/share/hydrogen/data/doc/res/LICENSE.
  * Migrate from pkg-config to pkgconf.
  * Lintian no longer recognises the validity of CC0-1.0 relicenced to GPL-2+,
    so declare that the appdata.xml is CC0-1.0 (lintian is wrong, and this is
    only to silence lintian).
  * Upload to unstable.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 03 Aug 2024 23:13:19 -0400
