=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
uversionmangle=s/(\d)-(alpha|beta|rc)/$1~$2/,\
oversionmangle=s/$/\+dfsg/ \
  https://github.com/hydrogen-music/hydrogen/tags .*/v?(\d\S+)\.tar\.gz
